#import <ComboSDK/ComboSDK-Swift.h>
#import <Foundation/Foundation.h>
#import <stdlib.h>
#import <string.h>

extern "C" {

char* IOSRuntime_GetBuildType(void)
{
    NSString* buildType = [IOSRuntime getBuildType];
    if (!buildType)
        return NULL;

    return strdup([buildType UTF8String]);
}

int IOSRuntime_IsJailBroken(void)
{
    return [IOSRuntime isJailBroken] ? 1 : 0;
}

void IOSRuntime_Free(char* ptr)
{
    free(ptr);
}

}
